> ## Documentation Index
> Fetch the complete documentation index at: https://docs.musixmatch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Musixmatch Pro API

> The Musixmatch Lyrics API allows you to get access to Musixmatch metadata about song lyrics and music.

## Getting started

The Musixmatch API is available to both selected partners and individual developers. Here are the steps to follow to complete the initial setup:

<Steps>
  <Step title="Get in touch">
    If you're looking to use or display lyrics in your app or website, check out our  <a href="https://www.musixmatch.com/pro/api/pricing?utm_source=docs&utm_medium=web&utm_content=introduction_link" target="_blank" title="Musixmatch API pricing" style={{background: 'none', border: 'none', color: '#FC532E', cursor: 'pointer', textDecoration: 'underline'}}>API pricing plans</a> or <a href="#" style={{background: 'none', border: 'none', color: '#FC532E', cursor: 'pointer', textDecoration: 'underline'}}>send us an enquiry</a> for custom solutions.
  </Step>

  <Step title="Get your API Key">
    Once you're registered, you'll receive your **API key** — a mandatory parameter for most API calls. It's your personal identifier and should be kept secret.
  </Step>

  <Step title="Integrate with your product">
    With your API key in hand, you can start integrating Musixmatch into your app or website. Please follow our [implementation guidelines](/implementation-guidelines).
    Our team may contact you to review your implementation and ensure it complies with our content policy.
  </Step>
</Steps>

### Check the API terms

Once you have completed the initial setup, don't forget to take a look at the [API Terms & Conditions](https://about.musixmatch.com/apiterms) and the [Privacy Policy](https://about.musixmatch.com/privacy-policy).

We’ve worked hard to make this service completely legal so that we are all protected from any foreseeable liability: take the time to read this stuff.

*Not sure about something?*\
*Write us at* [sales@musixmatch.com](mailto:sales@musixmatch.com)

### Authentication

To authenticate your API requests, you need to include your API key as a query parameter in every call. Add the `apikey` parameter to your requests like this:

```http theme={null}
GET /ws/1.1/track.get?apikey=YOUR_API_KEY
```

Keep your API key secure and never share it publicly. If you believe your API key has been compromised, contact us immediately at [sales@musixmatch.com](mailto:sales@musixmatch.com).

<Warning>
  Requests without a valid API key will receive a `401` error response.
</Warning>

### Start the integration on your product

In the most common scenario you only need to implement two API calls:

1. Match your catalog to ours using the search function as described [track.search](/api-reference/lyrics-catalog/track-search) page
2. Get the lyrics using the [track.lyrics.get](/api-reference/lyrics-catalog/track-lyrics-get) API call. That’s it!

We can also provide static samples to let you see how the data will look like.

We can’t wait to see the amazing things you’re going to do with the Musixmatch API!
 

<Info>
  Musixmatch API Terms of Service (FOR NOT COMMERCIAL USE) PLEASE NOTE THAT THESE TERMS AND CONDITIONS APPLY TO NON-COMMERCIAL USE OF OUR SERVICES ONLY. IF YOU INTEND TO USE OUR SERVICES FOR COMMERCIAL/BUSINESS USE, PLEASE SEND AN EMAIL TO [sales@musixmatch.com](mailto:sales@musixmatch.com). IF YOU ARE UNSURE ABOUT WHICH TERMS WILL APPLY TO YOU OR HAVE ANY QUESTIONS ABOUT THE LICENSE TERMS, PLEASE CONTACT [sales@musixmatch.com](mailto:sales@musixmatch.com).
</Info>
